.element:not(:focus-within) .label {
  font-size: 1rem;
  top: 50%;
  transform: translateY(-50%);
}

.top05rem {
  top: 0.5rem !important;
  font-size: 12px !important;
  margin-bottom: 0.25rem !important;
  margin-top: 0.25rem !important;
}
.element:not(:focus-within) .suffix_inner {
  display: none;
}

.element:focus-within .suffix {
  display: none;
}

.background {
  align-items: center;
  display: flex;
  overflow: hidden;
  position: relative;
  z-index: 4;
}

.background:before {
  left: 0;
  top: 0;
  transform: translate(-50%, -50%);
}

.background:after,
.background:before {
  aspect-ratio: 1;
  background: #faf8f6;
  border-radius: 50%;
  content: "";
  position: absolute;
  width: 50%;
  z-index: -2;
}

.background:after {
  bottom: 0;
  right: 0;
  transform: translate(50%, 50%);
}

@font-face {
  font-display: swap;
  font-family: Public Sans;
  font-style: normal;
  font-weight: 400;
  src: url(../fonts/Public_Sans-400-3.-BfcnxYs.woff2) format("woff2");
  unicode-range: u+0102-0103, u+0110-0111, u+0128-0129, u+0168-0169, u+01a0-01a1,
    u+01af-01b0, u+0300-0301, u+0303-0304, u+0308-0309, u+0323, u+0329,
    u+1ea0-1ef9, u+20ab;
}

@font-face {
  font-display: swap;
  font-family: Public Sans;
  font-style: normal;
  font-weight: 400;
  src: url(../fonts/Public_Sans-400-3.-BfcnxYs.woff2) format("woff2");
  unicode-range: u+0100-02af, u+0304, u+0308, u+0329, u+1e00-1e9f, u+1ef2-1eff,
    u+2020, u+20a0-20ab, u+20ad-20c0, u+2113, u+2c60-2c7f, u+a720-a7ff;
}

@font-face {
  font-display: swap;
  font-family: Public Sans;
  font-style: normal;
  font-weight: 400;
  src: url(../fonts/Public_Sans-400-3.-BfcnxYs.woff2) format("woff2");
  unicode-range: u+00??, u+0131, u+0152-0153, u+02bb-02bc, u+02c6, u+02da,
    u+02dc, u+0304, u+0308, u+0329, u+2000-206f, u+2074, u+20ac, u+2122, u+2191,
    u+2193, u+2212, u+2215, u+feff, u+fffd;
}

:root {
  --brand-50: #f2fbfa;
  --brand-100: #d5f2ef;
  --brand-200: #aae5df;
  --brand-300: #77d1cb;
  --brand-400: #4bb6b2;
  --brand-500: #319896;
  --brand-600: #257c7c;
  --brand-700: #226263;
  --brand-800: #1f4f50;
  --brand-900: #1e4243;
  --brand-950: #0c2527;
  --brand-color: #319896;

  --brand-result: #4bb6b2;

  --primary-rgba: 18 27 31;

  --brand-rgba: 35, 82, 99;
  --brand-rgba-a: 35 82 99;

  --brand-white: #ffffff;
  --brand-black: #000000;

  --vc-clr-primary: #000;
  --vc-clr-secondary: #090f207f;
  --vc-clr-white: #fff;
  --vc-icn-width: 1.2em;
  --vc-nav-width: 30px;
  --vc-nav-height: 30px;
  --vc-nav-border-radius: 0;
  --vc-nav-color: var(--vc-clr-primary);
  --vc-nav-color-hover: var(--vc-clr-secondary);
  --vc-nav-background: transparent;
  --vc-pgn-width: 12px;
  --vc-pgn-height: 4px;
  --vc-pgn-margin: 4px;
  --vc-pgn-border-radius: 0;
  --vc-pgn-background-color: var(--vc-clr-secondary);
  --vc-pgn-active-color: var(--vc-clr-primary);
}

.carousel__next,
.carousel__prev {
  align-items: center;
  background: transparent;
  background: var(--vc-nav-background);
  border: 0;
  border-radius: 0;
  border-radius: var(--vc-nav-border-radius);
  box-sizing: content-box;
  color: #000;
  color: var(--vc-nav-color);
  cursor: pointer;
  display: flex;
  font-size: 30px;
  font-size: var(--vc-nav-height);
  height: 30px;
  height: var(--vc-nav-height);
  justify-content: center;
  margin: 0 10px;
  padding: 0;
  position: absolute;
  text-align: center;
  top: 50%;
  transform: translateY(-50%);
  width: 30px;
  width: var(--vc-nav-width);
}

.carousel__next:hover,
.carousel__prev:hover {
  color: #090f207f;
  color: var(--vc-nav-color-hover);
}

.carousel__next--disabled,
.carousel__prev--disabled {
  cursor: not-allowed;
  opacity: 0.5;
}

.carousel__prev {
  left: 0;
}

.carousel__next {
  right: 0;
}

.carousel--rtl .carousel__prev {
  left: auto;
  right: 0;
}

.carousel--rtl .carousel__next {
  left: 0;
  right: auto;
}

.carousel {
  box-sizing: border-box;
  overscroll-behavior: none;
  position: relative;
  text-align: center;
  touch-action: pan-y;
}

.carousel.is-dragging {
  touch-action: none;
}

.carousel * {
  box-sizing: border-box;
}

.carousel__track {
  display: flex;
  padding: 0 !important;
  position: relative;
}

.carousel__viewport {
  overflow: hidden;
}

.carousel__sr-only {
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
  clip: rect(0, 0, 0, 0);
  border: 0;
}

.carousel__icon {
  height: 1.2em;
  height: var(--vc-icn-width);
  width: 1.2em;
  width: var(--vc-icn-width);
  fill: currentColor;
}

.carousel__pagination {
  display: flex;
  justify-content: center;
  line-height: 0;
  list-style: none;
  margin: 10px 0 0;
}

.carousel__pagination-button {
  background: transparent;
  border: 0;
  cursor: pointer;
  display: block;
  margin: 0;
  padding: 4px;
  padding: var(--vc-pgn-margin);
}

.carousel__pagination-button:after {
  background-color: #090f207f;
  background-color: var(--vc-pgn-background-color);
  border-radius: 0;
  border-radius: var(--vc-pgn-border-radius);
  content: "";
  display: block;
  height: 4px;
  height: var(--vc-pgn-height);
  width: 12px;
  width: var(--vc-pgn-width);
}

.carousel__pagination-button--active:after,
.carousel__pagination-button:hover:after {
  background-color: #000;
  background-color: var(--vc-pgn-active-color);
}

.carousel__slide {
  align-items: center;
  display: flex;
  flex-shrink: 0;
  justify-content: center;
  margin: 0;
  position: relative;
  scroll-snap-stop: auto;
  transform: translateZ(0);
}

.step {
  display: none;
}
.activeStep {
  display: block;
}
.step1hidden {
  display: none !important;
}
.start-btn {
  padding-bottom: 1rem;
  padding-top: 1rem;
  display: block;
}
@media (max-width: 640px) {
  .header-logo {
    width: 180px;
  }
  .md-p-top-0 {
    padding-top: 0;
  }
}
.first-step-container {
  max-width: 600px;
  margin: auto;
  position: relative;
  padding: 2rem;
}
.blur-bg {
  /* position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 1;
  border: 1px solid white;
  border-radius: 12px;
  -webkit-backdrop-filter: blur(6px);
  backdrop-filter: blur(6px); */

  /* box-shadow: inset 0 0 0 100px rgba(255, 255, 255, 0.09); */

  /* border-top: 4px solid rgba(var(--brand-rgba), 0.8);
    border-left: 4px solid rgba(var(--brand-rgba), 0.8);
    border-right: 4px solid rgba(var(--brand-rgba), 0.8);
    border-bottom: 4px solid rgba(var(--brand-rgba), 0.8); */
}
.first-step-container-inner {
  position: relative;
  z-index: 9999;
}
.first-step-container h6 {
  font-size: 22px;
  text-align: center;
  color: var(--brand-white);
  text-transform: capitalize;
  margin-bottom: 1rem;
  font-family: Cooper;
}
.first-step-container .field_option {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  gap: 20px;
  margin-bottom: 40px;
}
.first-step-container .field_option .field {
  width: calc(50% - 10px);
  position: relative;
}

.first-step-container .field_option .field.check label {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  cursor: pointer;
}
.first-step-container .field_option .field.check label svg {
  margin-right: 15px;
}
.first-step-container .field_option .field.check input {
  display: none;
}

.first-step-container .field_option .field input:not(input[type="submit"]),
.first-step-container .field_option .field.check label {
  font-size: 18px;
  width: 100%;
  padding: 12px 18px;
  height: 58px;
  background: #fff;
  color: var(--brand-black);
  border: 2px solid transparent;
  border-radius: 14px;
}
.first-step-container .field_option .field input:not(input[type="submit"]) {
  padding-left: 30px;
  padding-right: 70px;
}
.first-step-container .field_option .field.check input:checked + label {
  background: var(--brand-500);
  color: #fff;
  /* border: 2px solid var(--brand-white); */
}
.first-step-container .field_option .field.check label:hover {
  background: var(--brand-500);
  color: #fff;
  /* border: 2px solid var(--brand-white); */
}
.first-step-container .field_option .field.check label:hover svg path {
  fill: white;
}

.form_section .field.check input:checked + label svg path {
  fill: #fff;
}

@media only screen and (max-width: 600px) {
  .first-step-container .field_option .field input:not(input[type="submit"]),
  .first-step-container .field_option .field.check label {
    font-size: 14px;
    height: auto;
    min-height: 45px;
    padding: 5px 15px;
  }
  .first-step-container .field_option .field input:not(input[type="submit"]) {
    font-size: 18px;
  }
}
.bottom-badge p {
  font-size: 14px;
  color: var(--brand-white);
  line-height: 1;
  display: flex;
  margin-bottom: 0;
  justify-content: center;
  align-items: center;
}
.bottom-badge p img {
  margin-left: 8px;
}
.bottom-badge p span {
  background: url(../images/lock.svg) left center no-repeat;
  background-size: 12px;
  padding-left: 15px;
}
.first-step-container .field-error .field.check label {
  border-color: red;
}
.b-full {
  border: 2px solid var(--brand-white);
}
.border-default {
  border-radius: 14px;
}
.border-color-default {
  border: 2px solid transparent;
}
.border-color-default:hover {
  /* border-color: var(--brand-white); */
}
.primary-box-style {
  background-color: var(--brand-100);
  color: var(--brand-700);
  box-shadow: 0 10px 40px -12px rgba(16, 24, 40, 0.1);
}
@media (max-width: 725px) {
  #step1,
  #step2,
  #step3 {
    height: 100vh;
  }
  .title-container {
    margin-bottom: 1rem;
  }
  .first-step-container {
    padding: 1rem;
  }
  .first-step-container .field_option {
    margin-bottom: 20px;
  }
  .bottom-badge p span {
    font-size: 10px;
  }
  .bottom-badge p img {
    width: 120px;
  }
}

.app-bg-color {
  background: linear-gradient(rgb(0 0 0 / 92%), rgb(var(--primary-rgba) / 96%))
    0% 0%;
}

.product-cover-img-mob {
  display: none;
}

@media (max-width: 767px) {
  .product-cover-img {
    display: none;
  }
  .order-first {
    margin: auto;
    margin-top: 2rem;
    /* margin-bottom: 1rem; */
  }
  .product-cover-img-mob {
    display: block;
    width: 380px;
  }
  .fixed-btn {
    position: fixed;
    bottom: 1rem;
    width: 85%;
    left: 50%;
    transform: translateX(-50%);
  }
}

@media (max-width: 520px) {
  .order-first {
    margin-top: 1.2rem;
    margin-bottom: 1rem;
  }
  .product-cover-img-mob {
    width: 250px;
  }
  .h1-heading {
    font-size: 26px;
  }
  .h3-heading {
    margin-bottom: 1.5rem;
  }
}
